package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.enums.CustomFlowMultipleUserApproveTypeEnum;
import com.qmth.teachcloud.common.enums.FlowApproveOperationEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 流程节点result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowViewTaskResult extends FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "审批操作，SUBMIT：提交，APPROVE：审批，REJECT：驳回，END：终止，EXCHANGE：转他人审批")
    private FlowApproveOperationEnum approveOperation;

    @ApiModelProperty(value = "审批操作，SUBMIT：提交，APPROVE：审批，REJECT：驳回，END：终止，EXCHANGE：转他人审批")
    private String approveOperationStr;

    @ApiModelProperty(value = "自定义流程审核类型")
    private CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType;

    @ApiModelProperty(value = "流程审批人")
    private String pendApproveUsers;

    @ApiModelProperty(value = "流程已审人")
    private String approveUsers;

    @ApiModelProperty(value = "当前审批人")
    private String currentApproveUsers;

    @ApiModelProperty(value = "是否当前节点")
    private boolean currentTask;

    @ApiModelProperty(value = "审核意见")
    private String approveRemark;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public FlowApproveOperationEnum getApproveOperation() {
        return approveOperation;
    }

    public void setApproveOperation(FlowApproveOperationEnum approveOperation) {
        this.approveOperation = approveOperation;
    }

    public String getApproveOperationStr() {
        if (Objects.nonNull(approveOperation)) {
            return approveOperation.getTitle();
        } else {
            return approveOperationStr;
        }
    }

    public void setApproveOperationStr(String approveOperationStr) {
        this.approveOperationStr = approveOperationStr;
    }

    public String getApproveRemark() {
        return approveRemark;
    }

    public void setApproveRemark(String approveRemark) {
        this.approveRemark = approveRemark;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public CustomFlowMultipleUserApproveTypeEnum getMultipleUserApproveType() {
        return multipleUserApproveType;
    }

    public void setMultipleUserApproveType(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType) {
        this.multipleUserApproveType = multipleUserApproveType;
    }

    public String getPendApproveUsers() {
        return pendApproveUsers;
    }

    public void setPendApproveUsers(String pendApproveUsers) {
        this.pendApproveUsers = pendApproveUsers;
    }

    public String getApproveUsers() {
        return approveUsers;
    }

    public void setApproveUsers(String approveUsers) {
        this.approveUsers = approveUsers;
    }

    public String getCurrentApproveUsers() {
        return currentApproveUsers;
    }

    public void setCurrentApproveUsers(String currentApproveUsers) {
        this.currentApproveUsers = currentApproveUsers;
    }

    public boolean isCurrentTask() {
        return currentTask;
    }

    public void setCurrentTask(boolean currentTask) {
        this.currentTask = currentTask;
    }
}
